{"title":"Get workflow approvers","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_workflowapprover_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_workflowapprover_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_workflowapprover_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Use the Business Central API to retrieve workflow approvers, including workflow details, approver types, approval limit types, users, and sequences.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get workflow approvers","slug":"get-workflow-approvers","at":0,"chars":1626},{"level":2,"title":"HTTP request","slug":"http-request","at":99,"chars":326},{"level":2,"title":"Request headers","slug":"request-headers","at":425,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":497,"chars":61},{"level":2,"title":"Response","slug":"response","at":558,"chars":124},{"level":2,"title":"Example","slug":"example","at":682,"chars":807},{"level":2,"title":"Related information","slug":"related-information","at":1489,"chars":137}],"text":"# Get workflow approvers\nRetrieve the properties of a workflowApprover object in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central based on the environment. See API endpoints<../endpoints-apis-for-dynamics>.\n```http\nGET businesscentralPrefix/companies({companyId})/workflowApprovers({workflowApproverId})\n```\nTo retrieve all workflow approvers, omit `({workflowApproverId})` from the request URL.\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a `200 OK` response code and a workflowApprover object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```http\nGET https://{businesscentralPrefix}/api/v2.0/companies({companyId})/workflowApprovers({workflowApproverId})\n```\nResponse\nHere's an example of the response.\n```json\n{\n    \"id\": \"aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb\",\n    \"workflowCode\": \"PURCH-ORDER\",\n    \"workflowDescription\": \"Purchase Order Approval Workflow\",\n    \"category\": \"PURCHASE\",\n    \"enabled\": true,\n    \"workflowStepId\": 10,\n    \"argumentId\": \"bbbbbbbb-1111-2222-3333-cccccccccccc\",\n    \"approverType\": \"Approver\",\n    \"approverLimitType\": \"Direct Approver\",\n    \"userGroupCode\": \"\",\n    \"userGroupDescription\": \"\",\n    \"userId\": \"00aa00aa-bb11-cc22-dd33-44ee44ee44ee\",\n    \"userName\": \"sara@contoso.com\",\n    \"sequence\": 1,\n    \"lastModifiedDateTime\": \"2026-08-04T11:15:00Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_workflowapprover"}